## org.eclipse.emf.ecoretools.diagram.parsers
Class CompositeParser

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.parsers.CompositeParser

All Implemented Interfaces:
  org.eclipse.gmf.runtime.common.ui.services.parser.IParser

    public class CompositeParser

extends java.lang.Object
implements org.eclipse.gmf.runtime.common.ui.services.parser.IParser

Constructor Summary
`CompositeParser(org.eclipse.gmf.runtime.common.ui.services.parser.IParser reader, org.eclipse.gmf.runtime.common.ui.services.parser.IParser writer)`

Method Summary
`org.eclipse.jface.text.contentassist.IContentAssistProcessor` `getCompletionProcessor(org.eclipse.core.runtime.IAdaptable adapter)`
`java.lang.String` `getEditString(org.eclipse.core.runtime.IAdaptable adapter, int flags)`
`org.eclipse.gmf.runtime.common.core.command.ICommand` `getParseCommand(org.eclipse.core.runtime.IAdaptable adapter, java.lang.String newString, int flags)`
`java.lang.String` `getPrintString(org.eclipse.core.runtime.IAdaptable adapter, int flags)`
`boolean` `isAffectingEvent(java.lang.Object event, int flags)`
`org.eclipse.gmf.runtime.common.ui.services.parser.IParserEditStatus` `isValidEditString(org.eclipse.core.runtime.IAdaptable adapter, java.lang.String editString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeParser

    public CompositeParser(org.eclipse.gmf.runtime.common.ui.services.parser.IParser reader,
                           org.eclipse.gmf.runtime.common.ui.services.parser.IParser writer)

Method Detail

### isAffectingEvent

    public boolean isAffectingEvent(java.lang.Object event,
                                    int flags)

  Specified by:
    `isAffectingEvent` in interface `org.eclipse.gmf.runtime.common.ui.services.parser.IParser`

### getPrintString

    public java.lang.String getPrintString(org.eclipse.core.runtime.IAdaptable adapter,
                                           int flags)

  Specified by:
    `getPrintString` in interface `org.eclipse.gmf.runtime.common.ui.services.parser.IParser`

### getEditString

    public java.lang.String getEditString(org.eclipse.core.runtime.IAdaptable adapter,
                                          int flags)

  Specified by:
    `getEditString` in interface `org.eclipse.gmf.runtime.common.ui.services.parser.IParser`

### isValidEditString

    public org.eclipse.gmf.runtime.common.ui.services.parser.IParserEditStatus isValidEditString(org.eclipse.core.runtime.IAdaptable adapter,
                                                                                                 java.lang.String editString)

  Specified by:
    `isValidEditString` in interface `org.eclipse.gmf.runtime.common.ui.services.parser.IParser`

### getParseCommand

    public org.eclipse.gmf.runtime.common.core.command.ICommand getParseCommand(org.eclipse.core.runtime.IAdaptable adapter,
                                                                                java.lang.String newString,
                                                                                int flags)

  Specified by:
    `getParseCommand` in interface `org.eclipse.gmf.runtime.common.ui.services.parser.IParser`

### getCompletionProcessor

    public org.eclipse.jface.text.contentassist.IContentAssistProcessor getCompletionProcessor(org.eclipse.core.runtime.IAdaptable adapter)

  Specified by:
    `getCompletionProcessor` in interface `org.eclipse.gmf.runtime.common.ui.services.parser.IParser`

Copyright 2007 Anyware Technologies. All Rights Reserved.